Oore CI

Create environment

Adds an environment at the end of the promotion path. Requires the project maintainer role. A release recorded on the environment's store and track belongs to it.

Operation IDcreate_project_environment
POST
/v1/projects/{project_id}/environments

Adds an environment at the end of the promotion path. Requires the project maintainer role. A release recorded on the environment's store and track belongs to it.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

Project ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/environments" \  -H "Content-Type: application/json" \  -d '{    "key": "string",    "name": "string",    "store": "google_play",    "track": "string"  }'
{  "approval_required": true,  "approvers": {    "role": null,    "users": [      {        "email": "string",        "user_id": "string"      }    ]  },  "created_at": 0,  "id": "string",  "key": "string",  "latest_release": null,  "name": "string",  "position": 0,  "project_id": "string",  "promotable": true,  "rollout_policy": {    "approval": "none",    "crash_rate_threshold": 0,    "interval_hours": 0.1,    "steps": [      0.1    ]  },  "store": "google_play",  "submit_for_review": true,  "track": "string",  "updated_at": 0}